Summary
Runs a resource action
Description
Runs a resource action
Route
POST /lifecycle-manager/resources/:modelId/run-action
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| modelId |
string |
yes |
The ID of the Resource Model to run an action on |
| options |
object |
yes |
Designates the action to run, along with its corresponding inputs and the Resource Model instance it will be run against. |
Copied to Clipboard
{
"actionId": "5341",
"instance": {
"_id": "62a1f3d2ebedfc54e6e0065c",
"name": "EC2 Instance",
"description": "",
"modelId": "62a1f3d2ebedfc54e6e0065c",
"lastAction": {
"_id": "5341",
"executionId": "62a1f3d2ebedfc54e6e0065c",
"name": "Update",
"type": "update",
"status": "canceled"
},
"created": "1969-05-24T06:37:28.17Z",
"createdBy": {
"_id": "Pronghorn",
"username": "voluptate",
"provenance": "quis incididunt tempor",
"firstname": "culpa"
},
"lastUpdated": "2010-09-22T21:58:20.459Z",
"lastUpdatedBy": {
"_id": "62a1f3d2ebedfc54e6e0065c",
"username": "sit cupidatat dolor",
"provenance": "qui veniam exercitation aliquip Ut",
"firstname": "sint nulla id dolore"
}
},
"instanceName": "EC2 Instance",
"instanceDescription": "",
"inputs": null
}
Copied to Clipboard
{
"title": "options",
"type": "object",
"required": [
"actionId"
],
"additionalProperties": false,
"properties": {
"actionId": {
"$ref": "resource-model-common#/definitions/action-identifier"
},
"instance": {
"oneOf": [
{
"type": "string"
},
{
"$ref": "resource-instance-http"
}
]
},
"instanceName": {
"$ref": "resource-instance-common#/definitions/name"
},
"instanceDescription": {
"$ref": "resource-instance-common#/definitions/description"
},
"inputs": {
"oneOf": [
{
"type": "object"
},
{
"type": "null"
}
]
}
}
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
- |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": "null"
}